# XmIconGadget

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmIconGadget

## SYNOPSIS

#include <Xm/IconG.h>

XmIconGadget

XmCreateIconGadget

## DESCRIPTION

XmIconGadget

## X RESOURCES

Name | Class | Type | Default | Access

XmNdetail | XmCDetail | XmStringTable | NULL | CSG
XmNdetailCount | XmCDetailCount | Int | 0 | CSG
XmNfontList | XmCFontList | FontList | NULL | CSG
XmNlabelString | XmCXmString | XmString | NULL | CSG
XmNlargeIconMask | XmCIconMask | GadgetPixmap | NULL | CSG
XmNlargeIconPixmap | XmCIconPixmap | GadgetPixmap | NULL | CSG
XmNrenderTable | XmCRenderTable | RenderTable | NULL | CSG
XmNsmallIconMask | XmCIconMask | GadgetPixmap | NULL | CSG
XmNsmallIconPixmap | XmCIconPixmap | GadgetPixmap | NULL | CSG
XmNviewType | XmCViewType | ViewType | NULL | CSG
XmNvisualEmphasis | XmCVisualEmphasis | VisualEmphasis | NULL | CSG
XmNshadowThickness | XmCShadowThickness | HorizontalDimension | NULL | CSG
XmNtraversalOn | XmCTraversalOn | Boolean | NULL | CSG
XmNhighlightThickness | XmCHighlightThickness | HorizontalDimension | NULL | CSG

XmNdetail

XmNdetailCount

XmNfontList

XmNlabelString

XmNlargeIconMask

XmNlargeIconPixmap

XmNrenderTable

XmNsmallIconMask

XmNsmallIconPixmap

XmNviewType

XmNvisualEmphasis

XmNshadowThickness

XmNtraversalOn

XmNhighlightThickness

## CLASS HIERARCHY

Object(3) Rect(3) XmGadget(3) XmIconGadget(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.